Skip to main content

Set redirect url

Set redirect url

Path Parameters
translatedId uuid — REQUIRED

The id of the translated information

Example: 11112222-3333-4444-5555-666677778888

Query Parameters
redirectUrl string

The redirect url

Responses
200

The updated translated information

Schema — OPTIONAL
showType int32 — OPTIONAL

Possible values: [0, 1]

The show type

redirectUrl string — OPTIONAL

The redirect url. Only used when BrandSecureSystem.Frontend.Shared.Containers.SharedTranslatedInformationModel.ShowType is 1 (BrandSecureSystem.Frontend.Shared.Containers.SharedShowType.Redirect)

translatedInformationId uuid — OPTIONAL

The id of the translated information

defaultLanguage string — OPTIONAL

The default language

translatedComponents object[] — OPTIONAL

The translated components. Only used when BrandSecureSystem.Frontend.Shared.Containers.SharedTranslatedInformationModel.ShowType is 0 (BrandSecureSystem.Frontend.Shared.Containers.SharedShowType.Web)

type int32 — OPTIONAL

Possible values: [2, 3, 5]

The translated component type

orderIdx int32 — OPTIONAL

The ordering index

content string — OPTIONAL

The component content. Interpretation depends on the value of BrandSecureSystem.Frontend.Shared.Containers.SharedTranslatedComponentModel.Type

400

An error describing the issue caused by the client

Schema — OPTIONAL
type int32 — OPTIONAL

Possible values: [0, 1, 2, 3, 4]

The type of client error

message string — OPTIONAL

The error message

500

An error describing the server issue

Schema — OPTIONAL
message string — OPTIONAL

The error message